﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace MahalPokemon
{
    /// <summary>
    /// MainWindow.xaml 的互動邏輯
    /// </summary>
    public partial class MainWindow : Window
    {
        Random r;
        Eve eve;
        public MainWindow()
        {
            InitializeComponent();
            r = new Random();
        }

        private void btn_Click(object sender, RoutedEventArgs e)
        {
            int canvasWidth = (int)canvas.ActualWidth;
            int canvasHeight = (int)canvas.ActualHeight;
            eve = new Eve(r.Next(1, 10) * 20);
            int wh = r.Next(100, 250);
            //wh = 250;
            eve.Width = wh;
            eve.Height = wh;
            eve.SetValue(Canvas.LeftProperty, (double)(r.Next(1, canvasWidth-wh)));
            eve.SetValue(Canvas.TopProperty, (double)(r.Next(1, canvasHeight-wh)));
            canvas.Children.Add(eve);
        }

        private void Window_Closed(object sender, EventArgs e)
        {
            for (int i = 0; i < canvas.Children.Count; i++)
            {
                Eve eve = canvas.Children[i] as Eve;
                eve.Stop();
            }
        }

        private void Window_Loaded(object sender, RoutedEventArgs e)
        {
            /*
            int wh = 100;
            int canvasWidth = (int)canvas.ActualWidth;
            int canvasHeight = (int)canvas.ActualHeight;
            int x = canvasWidth / 100;
            int y = canvasHeight / 100;
            for (int i = 0; i < x; i++)
            {
                for (int j = 0; j < y; j++)
                {
                    eve = new Eve(r.Next(1, 10) * 50);
                    eve.Width = wh;
                    eve.Height = wh;
                    eve.SetValue(Canvas.LeftProperty, (double)(i * wh));
                    eve.SetValue(Canvas.TopProperty, (double)(j * wh));
                    canvas.Children.Add(eve);
                }
            }
            */
        }
    }
}
